Skip to main content

pentestArtifacts

Returns AI Pentest artifacts for the company

pentestArtifacts(
companyId: ID!
pagination: BasePaginationInput! = [object Object]
search: String
assigneeEmail: String
pentestType: String
applicationId: ID
): PentestArtifactCollection!

Arguments​

pentestArtifacts.companyId ● ID! non-null scalar​

pentestArtifacts.pagination ● BasePaginationInput! non-null input​

pentestArtifacts.assigneeEmail ● String scalar​

pentestArtifacts.pentestType ● String scalar​

pentestArtifacts.applicationId ● ID scalar​

Type​

PentestArtifactCollection object​

PentestArtifactCollection type

Example request

This generated query uses placeholders for required values. Replace them with values available to your API key before running it.

Before you run it

Run the companies query first and use data.companies.collection[].id as companyId.

curl --request POST https://api.convisoappsec.com/graphql \
--header "x-api-key: $CONVISO_API_KEY" \
--header "content-type: application/json" \
--data '{"query":"query GetPentestArtifacts($companyId: ID!) {\n pentestArtifacts(companyId: $companyId) { collection { id label application { __typename } } metadata { currentPage limitValue totalCount } }\n}","variables":{"companyId":"<company_id>"}}'

Contribute to the Docs

Found something outdated or missing? Help us improve the documentation with a quick suggestion or edit.

How to contribute